/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.lcs.client.internal.exception;

/**
 * @author Matija Petanjek
 */
public class LCSHandshakeException extends RuntimeException {

	public LCSHandshakeException() {
	}

	public LCSHandshakeException(String msg) {
		super(msg);
	}

	public LCSHandshakeException(String msg, int errorCode) {
		super(msg);

		_errorCode = errorCode;
	}

	public LCSHandshakeException(String msg, Throwable cause) {
		super(msg, cause);
	}

	public LCSHandshakeException(Throwable cause) {
		super(cause);
	}

	public int getErrorCode() {
		return _errorCode;
	}

	@Override
	public String getMessage() {
		if (_errorCode != -1) {
			return super.getMessage() + ", errorCode is " + _errorCode;
		}

		return super.getMessage();
	}

	private int _errorCode = -1;

}